" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,:,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-greedy-eval-p*
syn keyword tl_keyword contained *listener-hist-len* *listener-multi-line-p* *listener-pprint-p* *listener-sel-inclusive-p*
syn keyword tl_keyword contained *load-path* *package* *package-alist* *param-macro*
syn keyword tl_keyword contained *place-clobber-expander* *place-delete-expander* *place-macro* *place-update-expander*
syn keyword tl_keyword contained *pprint-flo-format* *print-base* *print-circle* *print-flo-digits*
syn keyword tl_keyword contained *print-flo-format* *print-flo-precision* *random-state* *random-warmup*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *trace-output*
syn keyword tl_keyword contained *tree-fun-whitelist* *txr-version* *unhandled-hook* +
syn keyword tl_keyword contained - / /= :
syn keyword tl_keyword contained :abandoned :addr :apf :append
syn keyword tl_keyword contained :args :atime :auto :awk-again
syn keyword tl_keyword contained :awk-file :awk-rec :begin :begin-file
syn keyword tl_keyword contained :blksize :blocks :bool :byte-oriented
syn keyword tl_keyword contained :cdigit :chars :cint :close
syn keyword tl_keyword contained :continue :counter :cspace :ctime
syn keyword tl_keyword contained :cword-char :dec :decline :dev
syn keyword tl_keyword contained :digit :downcase :end :end-file
syn keyword tl_keyword contained :env :eq-based :eql-based :equal-based
syn keyword tl_keyword contained :explicit-no :fallback :fd :fence
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hex :hextoint
syn keyword tl_keyword contained :inf :init :ino :inp
syn keyword tl_keyword contained :inputs :instance :into :key
syn keyword tl_keyword contained :let :lfilt :lines :list
syn keyword tl_keyword contained :lists :local :longest :mandatory
syn keyword tl_keyword contained :maxgap :maxtimes :method :mid
syn keyword tl_keyword contained :mingap :mintimes :mode :mtime
syn keyword tl_keyword contained :name :named :next-spec :nlink
syn keyword tl_keyword contained :nothrow :oct :outf :outp
syn keyword tl_keyword contained :output :postinit :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :set :set-file :shortest
syn keyword tl_keyword contained :size :space :static :str
syn keyword tl_keyword contained :string :symacro :text :times
syn keyword tl_keyword contained :tlist :to_html :tobase64 :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :upcase
syn keyword tl_keyword contained :use :use-from :use-syms :userdata
syn keyword tl_keyword contained :var :vars :weak-keys :weak-vals
syn keyword tl_keyword contained :whole :word-char :wrap <
syn keyword tl_keyword contained <= = > >=
syn keyword tl_keyword contained abort abs abs-path-p acons
syn keyword tl_keyword contained acons-new aconsql-new acos ado
syn keyword tl_keyword contained af-inet af-inet6 af-unix af-unspec
syn keyword tl_keyword contained ai-addrconfig ai-all ai-canonname ai-numerichost
syn keyword tl_keyword contained ai-numericserv ai-passive ai-v4mapped alet
syn keyword tl_keyword contained align alignof alist-nremove alist-remove
syn keyword tl_keyword contained all allocate-struct and andf
syn keyword tl_keyword contained ap apf append append*
syn keyword tl_keyword contained append-each append-each* apply aret
syn keyword tl_keyword contained array arraysize ash asin
syn keyword tl_keyword contained assoc assql at-exit-call at-exit-do-not-call
syn keyword tl_keyword contained atan atan2 atom awk
syn keyword tl_keyword contained base-name base64-decode base64-decode-buf base64-encode
syn keyword tl_keyword contained base64-stream-dec base64-stream-enc bchar be-double
syn keyword tl_keyword contained be-float be-int16 be-int32 be-int64
syn keyword tl_keyword contained be-uint16 be-uint32 be-uint64 bignum-len
syn keyword tl_keyword contained bignump bindable bit bitset
syn keyword tl_keyword contained blkcnt-t blksize-t block block*
syn keyword tl_keyword contained bool boundp bracket break-str
syn keyword tl_keyword contained brkint bs0 bs1 bsdly
syn keyword tl_keyword contained bstr bstr-d buf buf-alloc-size
syn keyword tl_keyword contained buf-carray buf-d buf-get-char buf-get-cptr
syn keyword tl_keyword contained buf-get-double buf-get-float buf-get-i16 buf-get-i32
syn keyword tl_keyword contained buf-get-i64 buf-get-i8 buf-get-int buf-get-long
syn keyword tl_keyword contained buf-get-short buf-get-u16 buf-get-u32 buf-get-u64
syn keyword tl_keyword contained buf-get-u8 buf-get-uchar buf-get-uint buf-get-ulong
syn keyword tl_keyword contained buf-get-ushort buf-int buf-put-buf buf-put-char
syn keyword tl_keyword contained buf-put-cptr buf-put-double buf-put-float buf-put-i16
syn keyword tl_keyword contained buf-put-i32 buf-put-i64 buf-put-i8 buf-put-int
syn keyword tl_keyword contained buf-put-long buf-put-short buf-put-u16 buf-put-u32
syn keyword tl_keyword contained buf-put-u64 buf-put-u8 buf-put-uchar buf-put-uint
syn keyword tl_keyword contained buf-put-ulong buf-put-ushort buf-set-length buf-str
syn keyword tl_keyword contained buf-trim buf-uint bufp build
syn keyword tl_keyword contained build-list buildn butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray carray-blank
syn keyword tl_keyword contained carray-buf carray-buf-sync carray-cptr carray-dup
syn keyword tl_keyword contained carray-free carray-get carray-getz carray-int
syn keyword tl_keyword contained carray-list carray-own carray-pun carray-put
syn keyword tl_keyword contained carray-putz carray-ref carray-refset carray-replace
syn keyword tl_keyword contained carray-set-length carray-sub carray-type carray-uint
syn keyword tl_keyword contained carray-vec carrayp caseq caseq*
syn keyword tl_keyword contained caseql caseql* casequal casequal*
syn keyword tl_keyword contained cat-str cat-streams cat-vec catch
syn keyword tl_keyword contained catch* catch** catenated-stream-p catenated-stream-push
syn keyword tl_keyword contained cbaud cbaudex cdaaaar cdaaadr
syn keyword tl_keyword contained cdaaar cdaadar cdaaddr cdaadr
syn keyword tl_keyword contained cdaar cdadaar cdadadr cdadar
syn keyword tl_keyword contained cdaddar cdadddr cdaddr cdadr
syn keyword tl_keyword contained cdar cddaaar cddaadr cddaar
syn keyword tl_keyword contained cddadar cddaddr cddadr cddar
syn keyword tl_keyword contained cdddaar cdddadr cdddar cddddar
syn keyword tl_keyword contained cdddddr cddddr cdddr cddr
syn keyword tl_keyword contained cdr ceil ceil-rem chain
syn keyword tl_keyword contained chand char chdir chmod
syn keyword tl_keyword contained chr-digit chr-int chr-isalnum chr-isalpha
syn keyword tl_keyword contained chr-isascii chr-isblank chr-iscntrl chr-isdigit
syn keyword tl_keyword contained chr-isgraph chr-islower chr-isprint chr-ispunct
syn keyword tl_keyword contained chr-isspace chr-isunisp chr-isupper chr-isxdigit
syn keyword tl_keyword contained chr-num chr-str chr-str-set chr-tolower
syn keyword tl_keyword contained chr-toupper chr-xdigit chrp clamp
syn keyword tl_keyword contained clear-dirty clear-error clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close
syn keyword tl_keyword contained close-stream closelog closure cmp-str
syn keyword tl_keyword contained cmspar collect-each collect-each* comb
syn keyword tl_keyword contained command-get command-get-buf command-get-lines command-get-string
syn keyword tl_keyword contained command-put command-put-buf command-put-lines command-put-string
syn keyword tl_keyword contained compare-swap compile compile-defr-warning compile-error
syn keyword tl_keyword contained compile-file compile-only compile-toplevel compile-warning
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons conses conses* consp
syn keyword tl_keyword contained constantp copy copy-alist copy-buf
syn keyword tl_keyword contained copy-carray copy-cons copy-fun copy-hash
syn keyword tl_keyword contained copy-list copy-search-tree copy-str copy-struct
syn keyword tl_keyword contained copy-tnode copy-tree copy-vec cos
syn keyword tl_keyword contained count-if count-until-match countq countql
syn keyword tl_keyword contained countqual cptr cptr-buf cptr-cast
syn keyword tl_keyword contained cptr-free cptr-int cptr-null cptr-obj
syn keyword tl_keyword contained cptr-size-hint cptr-type cptr-zap cptrp
syn keyword tl_keyword contained cr0 cr1 cr2 cr3
syn keyword tl_keyword contained crc32 crc32-stream crdly cread
syn keyword tl_keyword contained crtscts crypt cs5 cs6
syn keyword tl_keyword contained cs7 cs8 csize cstopb
syn keyword tl_keyword contained cum-norm-dist daemon dec defer-warning
syn keyword tl_keyword contained defex deffi deffi-cb deffi-cb-unsafe
syn keyword tl_keyword contained deffi-sym deffi-type deffi-var define-accessor
syn keyword tl_keyword contained define-modify-macro define-param-expander define-place-macro defmacro
syn keyword tl_keyword contained defmeth defpackage defparm defparml
syn keyword tl_keyword contained defplace defset defstruct defsymacro
syn keyword tl_keyword contained defun defvar defvarl del
syn keyword tl_keyword contained delay delete-package dev-t diff
syn keyword tl_keyword contained digits digpow dir-name disassemble
syn keyword tl_keyword contained display-width divides dlclose dlopen
syn keyword tl_keyword contained dlsym dlsym-checked dlvsym dlvsym-checked
syn keyword tl_keyword contained do dohash doloop doloop*
syn keyword tl_keyword contained dotimes double downcase-str drop
syn keyword tl_keyword contained drop-until drop-while dump-compiled-objects dump-deferred-warnings
syn keyword tl_keyword contained dup dupfd dwim e2big
syn keyword tl_keyword contained eacces each each* eaddrinuse
syn keyword tl_keyword contained eaddrnotavail eafnosupport eagain ealready
syn keyword tl_keyword contained ebadf ebadmsg ebusy ecanceled
syn keyword tl_keyword contained echild echo echoctl echoe
syn keyword tl_keyword contained echok echoke echonl echoprt
syn keyword tl_keyword contained econnaborted econnrefused econnreset edeadlk
syn keyword tl_keyword contained edestaddrreq edom edquot eexist
syn keyword tl_keyword contained efault efbig ehostunreach eidrm
syn keyword tl_keyword contained eighth eilseq einprogress eintr
syn keyword tl_keyword contained einval eio eisconn eisdir
syn keyword tl_keyword contained elemsize elemtype eloop emfile
syn keyword tl_keyword contained emlink empty emsgsize emultihop
syn keyword tl_keyword contained enametoolong endgrent endp endpwent
syn keyword tl_keyword contained ends-with enetdown enetreset enetunreach
syn keyword tl_keyword contained enfile enobufs enodata enodev
syn keyword tl_keyword contained enoent enoexec enolck enolink
syn keyword tl_keyword contained enomem enomsg enoprotoopt enospc
syn keyword tl_keyword contained enosr enostr enosys enotconn
syn keyword tl_keyword contained enotdir enotempty enotrecoverable enotsock
syn keyword tl_keyword contained enotsup enotty ensure-dir enum
syn keyword tl_keyword contained enumed env env-fbind env-fbindings
syn keyword tl_keyword contained env-hash env-next env-vbind env-vbindings
syn keyword tl_keyword contained enxio eopnotsupp eoverflow eownerdead
syn keyword tl_keyword contained eperm epipe eproto eprotonosupport
syn keyword tl_keyword contained eprototype eq eql equal
syn keyword tl_keyword contained equot erange erofs errno
syn keyword tl_keyword contained error espipe esrch estale
syn keyword tl_keyword contained etime etimedout etxtbsy eval
syn keyword tl_keyword contained eval-only evenp ewouldblock exception-subtype-map
syn keyword tl_keyword contained exception-subtype-p exdev exec exit
syn keyword tl_keyword contained exit* exp expand expand*
syn keyword tl_keyword contained expand-left expand-right expand-with-free-refs expt
syn keyword tl_keyword contained exptmod extproc f$ f-dupfd
syn keyword tl_keyword contained f-dupfd-cloexec f-getfd f-getfl f-getlk
syn keyword tl_keyword contained f-rdlck f-setfd f-setfl f-setlk
syn keyword tl_keyword contained f-setlkw f-unlck f-wrlck f^
syn keyword tl_keyword contained f^$ false fboundp fcntl
syn keyword tl_keyword contained fd-cloexec ff0 ff1 ffdly
syn keyword tl_keyword contained ffi ffi-alignof ffi-arraysize ffi-call
syn keyword tl_keyword contained ffi-elemsize ffi-elemtype ffi-get ffi-in
syn keyword tl_keyword contained ffi-make-call-desc ffi-make-closure ffi-offsetof ffi-out
syn keyword tl_keyword contained ffi-put ffi-put-into ffi-size ffi-type-compile
syn keyword tl_keyword contained ffi-type-operator-p ffi-type-p ffi-typedef fifth
syn keyword tl_keyword contained file-append file-append-buf file-append-lines file-append-string
syn keyword tl_keyword contained file-get file-get-buf file-get-lines file-get-string
syn keyword tl_keyword contained file-put file-put-buf file-put-lines file-put-string
syn keyword tl_keyword contained fileno fill-buf fill-buf-adjust fill-carray
syn keyword tl_keyword contained fill-obj filter-equal filter-string-tree finalize
syn keyword tl_keyword contained find find-frame find-frames find-frames-by-mask
syn keyword tl_keyword contained find-if find-max find-min find-package
syn keyword tl_keyword contained find-struct-type find-symbol find-symbol-fb first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flush-stream
syn keyword tl_keyword contained flusho fmakunbound fmt fnm-casefold
syn keyword tl_keyword contained fnm-leading-dir fnm-noescape fnm-pathname fnm-period
syn keyword tl_keyword contained fnmatch for for* force
syn keyword tl_keyword contained force-break fork format fourth
syn keyword tl_keyword contained fr$ fr^ fr^$ from
syn keyword tl_keyword contained frr fsblkcnt-t fsfilcnt-t fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun fun-fixparam-count fun-optparam-count
syn keyword tl_keyword contained fun-variadic func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gcd gen
syn keyword tl_keyword contained gen-hash-seed generate gensym gequal
syn keyword tl_keyword contained get-buf-from-stream get-byte get-char get-clobber-expander
syn keyword tl_keyword contained get-delete-expander get-error get-error-str get-frames
syn keyword tl_keyword contained get-hash-userdata get-indent get-indent-mode get-line
syn keyword tl_keyword contained get-lines get-list-from-stream get-obj get-sig-handler
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getopts getpid
syn keyword tl_keyword contained getppid getpwent getpwnam getpwuid
syn keyword tl_keyword contained getresgid getresuid getuid gid-t
syn keyword tl_keyword contained ginterate giterate glob glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check go
syn keyword tl_keyword contained grade greater group-by group-reduce
syn keyword tl_keyword contained gun handle handle* handler-bind
syn keyword tl_keyword contained hash hash-alist hash-begin hash-construct
syn keyword tl_keyword contained hash-count hash-diff hash-eql hash-equal
syn keyword tl_keyword contained hash-from-alist hash-from-pairs hash-invert hash-isec
syn keyword tl_keyword contained hash-keys hash-list hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-reset hash-revget
syn keyword tl_keyword contained hash-subset hash-symdiff hash-uni hash-update
syn keyword tl_keyword contained hash-update-1 hash-userdata hash-values hash-zip
syn keyword tl_keyword contained hashp have hlet hlet*
syn keyword tl_keyword contained html-decode html-encode html-encode* hupcl
syn keyword tl_keyword contained iapply icanon icrnl id-t
syn keyword tl_keyword contained identity identity* ido iexten
syn keyword tl_keyword contained if ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignpar ignwarn imaxbel improper-plist-to-alist
syn keyword tl_keyword contained in in-package in-range in-range*
syn keyword tl_keyword contained in6addr-any in6addr-loopback inaddr-any inaddr-loopback
syn keyword tl_keyword contained inc inc-indent indent-code indent-data
syn keyword tl_keyword contained indent-foff indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-buf
syn keyword tl_keyword contained int-carray int-chr int-cptr int-flo
syn keyword tl_keyword contained int-ptr-t int-str int16 int32
syn keyword tl_keyword contained int64 int8 integerp intern
syn keyword tl_keyword contained intern-fb interp-fun-p interpose inv-cum-norm
syn keyword tl_keyword contained invoke-catch ip ipf iread
syn keyword tl_keyword contained isec isig isqrt istrip
syn keyword tl_keyword contained itimer-prov itimer-real itimer-virtual iuclc
syn keyword tl_keyword contained iutf8 ixany ixoff ixon
syn keyword tl_keyword contained juxt keep-if keep-if* keepq
syn keyword tl_keyword contained keepql keepqual key key-t
syn keyword tl_keyword contained keyword-package keywordp kill labels
syn keyword tl_keyword contained lambda last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lcm lcons lcons-car lcons-cdr
syn keyword tl_keyword contained lcons-fun lconsp ldiff ldo
syn keyword tl_keyword contained le-double le-float le-int16 le-int32
syn keyword tl_keyword contained le-int64 le-uint16 le-uint32 le-uint64
syn keyword tl_keyword contained left len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-str list-vec list-vector
syn keyword tl_keyword contained listp lnew lnew* load
syn keyword tl_keyword contained load-for load-time loff-t log
syn keyword tl_keyword contained log-alert log-auth log-authpriv log-cons
syn keyword tl_keyword contained log-crit log-daemon log-debug log-emerg
syn keyword tl_keyword contained log-err log-info log-ndelay log-notice
syn keyword tl_keyword contained log-nowait log-odelay log-perror log-pid
syn keyword tl_keyword contained log-user log-warning log10 log2
syn keyword tl_keyword contained logand logcount logior lognot
syn keyword tl_keyword contained logtest logtrunc logxor long
syn keyword tl_keyword contained longlong lop lset lstat
syn keyword tl_keyword contained m$ m^ m^$ mac-param-bind
syn keyword tl_keyword contained macro-ancestor macro-form-p macro-time macroexpand
syn keyword tl_keyword contained macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1 macrolet
syn keyword tl_keyword contained major make-buf make-buf-stream make-byte-input-stream
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound mapcar mapcar* mapdo
syn keyword tl_keyword contained mapf maphash mappend mappend*
syn keyword tl_keyword contained maprend maprod mask match-fun
syn keyword tl_keyword contained match-regex match-regex-right match-regst match-regst-right
syn keyword tl_keyword contained match-str match-str-tree max mboundp
syn keyword tl_keyword contained md5 md5-begin md5-end md5-hash
syn keyword tl_keyword contained md5-stream member member-if memp
syn keyword tl_keyword contained memq memql memqual merge
syn keyword tl_keyword contained meth method min minor
syn keyword tl_keyword contained minusp mismatch mkdir mknod
syn keyword tl_keyword contained mkstring mlet mmakunbound mod
syn keyword tl_keyword contained mode-t multi multi-sort n-choose-k
syn keyword tl_keyword contained n-perm-k nconc neg neq
syn keyword tl_keyword contained neql nequal new new*
syn keyword tl_keyword contained nexpand-left nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noflsh none not notf
syn keyword tl_keyword contained nreconc nreverse nth nthcdr
syn keyword tl_keyword contained nthlast null nullify num-chr
syn keyword tl_keyword contained num-str numberp nzerop o-accmode
syn keyword tl_keyword contained o-append o-async o-cloexec o-creat
syn keyword tl_keyword contained o-direct o-directory o-noatime o-noctty
syn keyword tl_keyword contained o-nofollow o-nonblock o-path o-rdonly
syn keyword tl_keyword contained o-rdwr o-sync o-trunc o-wronly
syn keyword tl_keyword contained oand obtain obtain* obtain*-block
syn keyword tl_keyword contained obtain-block ocrnl oddp ofdel
syn keyword tl_keyword contained off-t offsetof ofill olcuc
syn keyword tl_keyword contained onlcr onlret onocr op
syn keyword tl_keyword contained open-command open-directory open-file open-fileno
syn keyword tl_keyword contained open-files open-files* open-pipe open-process
syn keyword tl_keyword contained open-socket open-socket-pair open-subprocess open-tail
syn keyword tl_keyword contained openlog opip opost opt
syn keyword tl_keyword contained opthelp or orf package-alist
syn keyword tl_keyword contained package-fallback-list package-foreign-symbols package-local-symbols package-name
syn keyword tl_keyword contained package-symbols packagep pad parenb
syn keyword tl_keyword contained parmrk parodd partition partition*
syn keyword tl_keyword contained partition-by path-blkdev-p path-cat path-chrdev-p
syn keyword tl_keyword contained path-dir-p path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-same-object path-sep-chars path-setgid-p path-setuid-p
syn keyword tl_keyword contained path-sock-p path-sticky-p path-strictly-private-to-me-p path-symlink-p
syn keyword tl_keyword contained path-writable-to-me-p pdec pendin perm
syn keyword tl_keyword contained pid-t pinc pipe place-form-p
syn keyword tl_keyword contained placelet placelet* plist-to-alist plusp
syn keyword tl_keyword contained poll poll-err poll-in poll-nval
syn keyword tl_keyword contained poll-out poll-pri poll-rdband poll-rdhup
syn keyword tl_keyword contained poll-wrband poly pop pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prod prof
syn keyword tl_keyword contained prog prog* prog1 progn
syn keyword tl_keyword contained promisep prop proper-list-p proper-listp
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained pushhash pushnew put-buf put-byte
syn keyword tl_keyword contained put-carray put-char put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quote r$
syn keyword tl_keyword contained r^ r^$ raise rand
syn keyword tl_keyword contained random random-fixnum random-float random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rassoc rassql rcomb
syn keyword tl_keyword contained rcons read read-until-match readlink
syn keyword tl_keyword contained real-time-stream-p realpath record-adapter reduce-left
syn keyword tl_keyword contained reduce-right ref refset regex-compile
syn keyword tl_keyword contained regex-from-trie regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym relate release-deferred-warnings remhash
syn keyword tl_keyword contained remove-if remove-if* remove-path remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-buf replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-vec reset-struct rest ret
syn keyword tl_keyword contained retf return return* return-from
syn keyword tl_keyword contained revappend reverse rfind rfind-if
syn keyword tl_keyword contained right rlcp rlcp-tree rlet
syn keyword tl_keyword contained rlist rlist* rmember rmember-if
syn keyword tl_keyword contained rmemq rmemql rmemqual rmismatch
syn keyword tl_keyword contained rotate round round-rem rperm
syn keyword tl_keyword contained rplaca rplacd rpoly rpos
syn keyword tl_keyword contained rpos-if rposq rposql rposqual
syn keyword tl_keyword contained rr rra rsearch rslot
syn keyword tl_keyword contained rtld-deepbind rtld-global rtld-lazy rtld-local
syn keyword tl_keyword contained rtld-nodelete rtld-noload rtld-now run
syn keyword tl_keyword contained s-ifblk s-ifchr s-ifdir s-ififo
syn keyword tl_keyword contained s-iflnk s-ifmt s-ifreg s-ifsock
syn keyword tl_keyword contained s-irgrp s-iroth s-irusr s-irwxg
syn keyword tl_keyword contained s-irwxo s-irwxu s-isgid s-isuid
syn keyword tl_keyword contained s-isvtx s-iwgrp s-iwoth s-iwusr
syn keyword tl_keyword contained s-ixgrp s-ixoth s-ixusr save-exe
syn keyword tl_keyword contained sbit scan-until-match search search-regex
syn keyword tl_keyword contained search-regst search-str search-str-tree second
syn keyword tl_keyword contained seek-cur seek-end seek-set seek-stream
syn keyword tl_keyword contained select self-load-path self-path seq-begin
syn keyword tl_keyword contained seq-next seq-reset seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-key set-left set-max-depth set-max-length
syn keyword tl_keyword contained set-package-fallback-list set-right set-sig-handler setegid
syn keyword tl_keyword contained setenv seteuid setgid setgrent
syn keyword tl_keyword contained setgroups sethash setitimer setlogmask
syn keyword tl_keyword contained setpwent setresgid setresuid setuid
syn keyword tl_keyword contained seventh sh sha256 sha256-begin
syn keyword tl_keyword contained sha256-end sha256-hash sha256-stream shift
syn keyword tl_keyword contained short shuffle sig-abrt sig-alrm
syn keyword tl_keyword contained sig-atomic-t sig-bus sig-check sig-chld
syn keyword tl_keyword contained sig-cont sig-fpe sig-hup sig-ill
syn keyword tl_keyword contained sig-int sig-io sig-iot sig-kill
syn keyword tl_keyword contained sig-pipe sig-poll sig-prof sig-pwr
syn keyword tl_keyword contained sig-quit sig-segv sig-stkflt sig-stop
syn keyword tl_keyword contained sig-sys sig-term sig-trap sig-tstp
syn keyword tl_keyword contained sig-ttin sig-ttou sig-urg sig-usr1
syn keyword tl_keyword contained sig-usr2 sig-vtalrm sig-winch sig-xcpu
syn keyword tl_keyword contained sig-xfsz sign-extend signum sin
syn keyword tl_keyword contained sixth size-t size-vec sizeof
syn keyword tl_keyword contained slet slot slotp slots
syn keyword tl_keyword contained slotset sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained some sort sort-group source-loc
syn keyword tl_keyword contained source-loc-str span-str special-operator-p special-var-p
syn keyword tl_keyword contained spl splice split split*
syn keyword tl_keyword contained split-str split-str-set sqrt square
syn keyword tl_keyword contained ssize-t sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-buf str-d str-in6addr str-in6addr-net
syn keyword tl_keyword contained str-inaddr str-inaddr-net str< str<=
syn keyword tl_keyword contained str= str> str>= stream-get-prop
syn keyword tl_keyword contained stream-set-prop streamp string-extend string-lt
syn keyword tl_keyword contained stringp struct struct-from-args struct-from-plist
syn keyword tl_keyword contained struct-get-initfun struct-get-postinitfun struct-set-initfun struct-set-postinitfun
syn keyword tl_keyword contained struct-type struct-type-name struct-type-p structp
syn keyword tl_keyword contained sub sub-buf sub-list sub-str
syn keyword tl_keyword contained sub-vec subtypep succ sum
syn keyword tl_keyword contained super super-method suspend swap
syn keyword tl_keyword contained symacrolet symbol-function symbol-macro symbol-name
syn keyword tl_keyword contained symbol-package symbol-value symbolp symdiff
syn keyword tl_keyword contained symlink sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian%
syn keyword tl_keyword contained sys:%bin-op% sys:%bin-ops% sys:%block-using-funs% sys:%call-op%
syn keyword tl_keyword contained sys:%dbg-command-env% sys:%file-suff-rx% sys:%gcall-op% sys:%imm-width%
syn keyword tl_keyword contained sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev%
syn keyword tl_keyword contained sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev%
syn keyword tl_keyword contained sys:%nary-ops% sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder%
syn keyword tl_keyword contained sys:%package-manip% sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs%
syn keyword tl_keyword contained sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv%
syn keyword tl_keyword contained sys:%test-opcode% sys:%tlo-ver% sys:*dedup* sys:*emit*
syn keyword tl_keyword contained sys:*eval* sys:*load-recursive* sys:*op-ctx* sys:*pl-env*
syn keyword tl_keyword contained sys:*pl-form* sys:*trace-hash* sys:*trace-level* sys:abscond*
syn keyword tl_keyword contained sys:abscond-from sys:analyze-argtypes sys:analyze-params sys:apply
syn keyword tl_keyword contained sys:asm-error sys:assumed-fun sys:awk%--rng sys:awk%--rng+
syn keyword tl_keyword contained sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check
syn keyword tl_keyword contained sys:awk-error sys:awk-expander sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-redir sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error sys:bits
syn keyword tl_keyword contained sys:bits-to-obj sys:build-expander sys:build-key-list-expr sys:call-delete-expander
syn keyword tl_keyword contained sys:capture-cont sys:catch sys:check-slot sys:check-struct
syn keyword tl_keyword contained sys:circref sys:compat sys:compiler-emit-warnings sys:conv
syn keyword tl_keyword contained sys:conv-expand sys:conv-let sys:ctx-form sys:ctx-name
syn keyword tl_keyword contained sys:dbg-all sys:dbg-backtrace sys:dbg-clear sys:dbg-enable
syn keyword tl_keyword contained sys:dbg-restore sys:dbg-set sys:dbg-step sys:debugger
syn keyword tl_keyword contained sys:dedup sys:deffi-cb-expander sys:define-method sys:defset-expander
syn keyword tl_keyword contained sys:defset-expander-simple sys:disassemble-cdf sys:dlib-expr sys:do-conv
syn keyword tl_keyword contained sys:do-path-test sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-op sys:enc-small-op
syn keyword tl_keyword contained sys:ensure-op-arg sys:env-to-let sys:eval-err sys:expand-bind-mac-params
syn keyword tl_keyword contained sys:expand-defmacro sys:expand-defsymacro sys:expand-defun sys:expand-defvarl
syn keyword tl_keyword contained sys:expand-dohash sys:expand-doloop sys:expand-each sys:expand-handle
syn keyword tl_keyword contained sys:expand-params sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-mods
syn keyword tl_keyword contained sys:expand-sym-ref sys:expr sys:extract-keys sys:extract-keys-p
syn keyword tl_keyword contained sys:fbind sys:fmt-flex sys:fmt-join sys:fmt-simple
syn keyword tl_keyword contained sys:for-op sys:gc sys:gc-set-delta sys:get-buf-common
syn keyword tl_keyword contained sys:get-fun-getter-setter sys:get-mb sys:get-parser sys:get-place-macro
syn keyword tl_keyword contained sys:get-vb sys:getopts-error sys:handle-bad-syntax sys:hlet-expand
syn keyword tl_keyword contained sys:if-to-cond sys:in6addr-condensed-text sys:is-label sys:l1-setq
syn keyword tl_keyword contained sys:l1-val sys:lambda-apply-transform sys:lambda-short-apply-list sys:lambda-too-few-args
syn keyword tl_keyword contained sys:lambda-too-many-args sys:lbind sys:lisp1-setq sys:lisp1-value
syn keyword tl_keyword contained sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit sys:loc
syn keyword tl_keyword contained sys:mac-env-flatten sys:make-anon-package sys:make-struct-lit sys:make-struct-type
syn keyword tl_keyword contained sys:mark-special sys:maybe-mov sys:misleading-ref-check sys:name-str
syn keyword tl_keyword contained sys:new-expander sys:new-type sys:null-reg sys:obtain-impl
syn keyword tl_keyword contained sys:op-alpha-rename sys:op-ensure-rec sys:op-expand sys:op-meta-p
syn keyword tl_keyword contained sys:op-rec-p sys:open-compile-streams sys:operand-to-exp sys:operand-to-sym
syn keyword tl_keyword contained sys:opip-expand sys:opt-dash sys:opt-err sys:parse-compound-operand
syn keyword tl_keyword contained sys:parse-operand sys:parser-eof sys:parser-errors sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-test-mode sys:path-test-type sys:pl-expand
syn keyword tl_keyword contained sys:placelet-1 sys:print-backtrace sys:propagate-ancestor sys:prune-missing-inits
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reg-expand-nongreedy sys:reg-optimize sys:register-opcode sys:register-simple-accessor
syn keyword tl_keyword contained sys:repl sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-defmacro sys:rt-defsymacro sys:rt-defun sys:rt-defvarl
syn keyword tl_keyword contained sys:rt-load-for sys:rt-pprof sys:set-hash-traversal-limit sys:set-macro-ancestor
syn keyword tl_keyword contained sys:setq sys:setqf sys:shut-rd sys:shut-rdwr
syn keyword tl_keyword contained sys:shut-wr sys:slot-types sys:small-op-p sys:small-op-to-sym
syn keyword tl_keyword contained sys:splice sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:system-symbol-p sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:tr* sys:trace sys:trace-canonicalize-name sys:trace-enter
syn keyword tl_keyword contained sys:trace-leave sys:trace-redefine-check sys:tree-construct sys:trfm
syn keyword tl_keyword contained sys:try-load sys:txr-case-impl sys:unquote sys:untrace
syn keyword tl_keyword contained sys:upenv sys:uw-block sys:uw-captured-block sys:uw-catch
syn keyword tl_keyword contained sys:uw-cont-copy sys:uw-eval sys:uw-expand sys:uw-fcall
syn keyword tl_keyword contained sys:uw-guard sys:uw-handle sys:uw-menv sys:var
syn keyword tl_keyword contained sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec
syn keyword tl_keyword contained sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel
syn keyword tl_keyword contained sys:vm-make-desc sys:wdwrap sys:with-dyn-lib-check syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly tagbody
syn keyword tl_keyword contained tailp take take-until take-while
syn keyword tl_keyword contained tan tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcsadrain tcsaflush
syn keyword tl_keyword contained tcsanow tcsendbreak tcsetattr tentative-def-exists
syn keyword tl_keyword contained tenth test-clear test-clear-dirty test-dec
syn keyword tl_keyword contained test-dirty test-inc test-neq-set-indent-mode test-set
syn keyword tl_keyword contained test-set-indent-mode tf third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-parse time-parse-local time-parse-utc time-string-local
syn keyword tl_keyword contained time-string-utc time-struct-local time-struct-utc time-t
syn keyword tl_keyword contained time-usec tnode to tofloat
syn keyword tl_keyword contained tofloatz toint tointz tok
syn keyword tl_keyword contained tok-str tok-where tostop tostring
syn keyword tl_keyword contained tostringp tprint trace transpose
syn keyword tl_keyword contained tree tree-begin tree-bind tree-case
syn keyword tl_keyword contained tree-clear tree-delete tree-delete-node tree-find
syn keyword tl_keyword contained tree-insert tree-insert-node tree-lookup tree-lookup-node
syn keyword tl_keyword contained tree-next tree-root treep trie-add
syn keyword tl_keyword contained trie-compress trie-lookup-begin trie-lookup-feed-char trie-value-at
syn keyword tl_keyword contained trim-str true trunc trunc-rem
syn keyword tl_keyword contained truncate-stream tuples txr-case txr-exe-path
syn keyword tl_keyword contained txr-if txr-path txr-version txr-when
syn keyword tl_keyword contained typecase typedef typeof typep
syn keyword tl_keyword contained ubit uchar uid-t uint
syn keyword tl_keyword contained uint-buf uint-carray uint-ptr-t uint16
syn keyword tl_keyword contained uint32 uint64 uint8 ulong
syn keyword tl_keyword contained ulonglong umask umeth umethod
syn keyword tl_keyword contained uname unget-byte unget-char uni
syn keyword tl_keyword contained unintern union union-get union-in
syn keyword tl_keyword contained union-members union-out union-put uniq
syn keyword tl_keyword contained unique unless unquote unsetenv
syn keyword tl_keyword contained until until* untrace unuse-package
syn keyword tl_keyword contained unuse-sym unwind-protect upcase-str upd
syn keyword tl_keyword contained update uref url-decode url-encode
syn keyword tl_keyword contained use use-package use-sym user-package
syn keyword tl_keyword contained ushort usl usleep uslot
syn keyword tl_keyword contained val vdiscard vec vec-carray
syn keyword tl_keyword contained vec-list vec-push vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vm-fun-p vmin
syn keyword tl_keyword contained void vquit vreprint vstart
syn keyword tl_keyword contained vstop vsusp vswtc vt0
syn keyword tl_keyword contained vt1 vtdly vtime vwerase
syn keyword tl_keyword contained w-continued w-coredump w-exitstatus w-ifcontinued
syn keyword tl_keyword contained w-ifexited w-ifsignaled w-ifstopped w-nohang
syn keyword tl_keyword contained w-stopsig w-termsig w-untraced wait
syn keyword tl_keyword contained wchar weave when whena
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mapdo window-mappend wint-t with-clobber-expander
syn keyword tl_keyword contained with-compilation-unit with-delete-expander with-dyn-lib with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-buf-stream with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-buf-stream with-out-string-stream with-out-strlist-stream
syn keyword tl_keyword contained with-resources with-slots with-stream with-update-expander
syn keyword tl_keyword contained wrap wrap* wstr wstr-d
syn keyword tl_keyword contained xcase yield yield-from zap
syn keyword tl_keyword contained zarray zero-fill zerop zip
syn keyword tl_keyword contained znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSR]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained
syn match txr_circ "#[0-9]\+[#=]"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSR]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_par matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,aret,array,arraysize,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,collect-each,collect-each*,compare-swap,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-sym,deffi-type,deffi-var,define-accessor,define-modify-macro,define-param-expander,define-place-macro,defmacro,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,elemsize,elemtype,enum,enumed,equot,eval-only,ffi,flet,flip,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,ifa,iflet,ignerr,ignwarn,in-package,ip,labels,lambda,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-param-bind,macro-time,macrolet,mlet,new*,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pinc,placelet,placelet*,pop,pprof,prof,prog,prog*,prog1,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,pushnew,ret,return,return-from,rlet,rslot,sbit,sizeof,slet,splice,struct,suspend,symacrolet,sys:abscond-from,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:catch,sys:conv,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:path-examine,sys:placelet-1,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,whena,whenlet,while,while*,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
